%global momorel 3
%global dirname 10.04
%global qtver 4.6.3

Summary: MIDI/Audio Sequencer and Notation Editor
Name: rosegarden
Version: 10.04.2
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.rosegardenmusic.com/
Source0: http://dl.sourceforge.net/project/%{name}/%{name}/%{dirname}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-10.04.1-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dssi
Requires: jack
Requires: ladspa
Requires: liblrdf
Requires: lilypond
Requires: perl-XML-Twig
BuildRequires: qt-devel >= %{qtver}
BuildRequires: alsa-lib-devel
BuildRequires: coreutils
BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: fftw-devel
BuildRequires: jack-devel
BuildRequires: ladspa-devel
BuildRequires: libart_lgpl-devel
BuildRequires: liblo-devel
BuildRequires: liblrdf-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: lirc-devel
BuildRequires: pkgconfig
BuildRequires: zlib-devel

%description
Rosegarden is a user-friendly MIDI/audio sequencer, notation editor,
and general-purpose music composition and editing application for Unix
and Linux.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja~

# for doc
mv scripts/README README.scripts

%build
%configure \
	--with-qtdir=%{_prefix} \
	--with-qtlibdir=%{_libdir}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# preparing...
mkdir -p %{buildroot}%{_datadir}/%{name}/scripts
rm -f data/data.cpp
rm -f data/data.o

# install data
cp -pr data/* %{buildroot}%{_datadir}/%{name}/

# install scripts
install -m 755 scripts/* %{buildroot}%{_datadir}/%{name}/scripts/

# fix up permission of scripts/
chmod 644 %{buildroot}%{_datadir}/%{name}/scripts/color-list
chmod 644 %{buildroot}%{_datadir}/%{name}/scripts/lircrc.%{name}
chmod 644 %{buildroot}%{_datadir}/%{name}/scripts/simple-makefile

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category X-Red-Hat-Base \
  --remove-category X-SuSE-Sequencer \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CONTRIBUTING COPYING README*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/*/mimetypes/*%{name}*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (10.04.2-3m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (10.04.2-2m)
- rebuild against qt-4.6.3-1m

* Wed May 12 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (10.04.2-1m)
- version 10.04.2

* Mon Apr 26 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (10.04.1-1m)
- version 10.04.1
- update desktop.patch
- remove optflags.patch

* Fri Mar 12 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (10.02.1-2m)
- fix up rosegarden.desktop

* Fri Mar 12 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (10.02.1-1m)
- version 10.02.1
- update desktop.patch and optflags.patch
- good-bye Qt3 and hello Qt4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.3-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Feb  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.3-2m)
- version 1.7.3a

* Fri Feb  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.3-1m)
- version 1.7.3
- remove merged gcc44.patch

* Fri Jan 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.2-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.2-3m)
- rebuild against rpm-4.6

* Sat Jan 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.7.2-2m)
- update Patch0,1 for fuzz=0
- License: GPLv2+

* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.2-1m)
- version 1.7.2

* Thu Aug  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.1-1m)
- version 1.7.1

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7.0-3m)
- rebuild against qt3

* Fri May  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.0-2m)
- Requires: dssi

* Fri May  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.0-1m)
- version 1.7.0
- remove merged gcc43.patch

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.1-5m)
- rebuild against gcc43

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-4m)
- modify BPR for KDE4

* Thu Feb 21 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.1-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.1-2m)
- %%NoSource -> NoSource

* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-1m)
- version 1.6.1
- License: GPLv2

* Sun Jul 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.1-2m)
- add Requires: perl-XML-Twig

* Fri Mar 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.1-1m)
- version 1.5.1
- remove merged ja_po.patch

* Sat Mar  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-4m)
- Requires: lilypond

* Mon Feb 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-3m)
- add -DCMAKE_CXX_FLAGS_RELEASE:STRING to %%build
- update optflags.patch

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-2m)
- set optflags again
- update Japanese translation
  http://slashdot.jp/~ribbon/journal/392228

* Tue Feb  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-1m)
- version 1.5.0
- update desktop.patch

* Wed Sep 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-2m)
- remove X-SuSE-Sequencer, X-Red-Hat-Base and Application from Categories of desktop file

* Sun Jul 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-1m)
- version 1.2.4

* Wed Mar  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-3m)
- use scons install prefix=%%{buildroot}%%{_prefix}
- remove fix-SConstruct.patch
- update desktop.patch

* Fri Feb 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- set CXXFLAGS again

* Fri Feb 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- remove uic.patch
- remove gcc4.patch
- add fix-SConstruct.patch
- remove %%post and %%postun
- BuildPreReq: scons, pkgconfig

* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-8m)
- add enable_gcc_check_and_hidden_visibility switch

* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-7m)
- add gcc4 patch
- Patch1: rosegarden-4-1.0-gcc4.patch

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-6m)
- rebuild against KDE 3.5 RC1

* Fri Oct 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-5m)
- add rosegarden-1.0-desktopfile.patch
- BuildPreReq: desktop-file-utils
- clean up spec file

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-4m)
- fix uic build problem

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-3m)
- add --disable-rpath to configure

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- initial package
